Page MenuHomePhabricator

Dynamic wikibase detection
Open, HighPublic

Description

Similar to T74847 the wikibase settings are hardcoded into the family files. There is action=query&meta=wikibase which would allow to make dynamically if the API plays along. In T74847 a very nasty problem surfaced which made it at least very hard to determine the Site object parameter (basically which family and code it uses) based on the result (see T85153).

So part of this task is also to determine if this API call has the same problem so other wikibase installations in the wild should be queried (or more exact: installations which use another wikibase). At least from the result of the English Wikipedia it should be easy to get a Site object because it's possible to construct the URL similar to the interwiki map URL for which we already have an implementation.

Details

Related Gerrit Patches:

Event Timeline

XZise created this task.Dec 26 2014, 12:08 AM
XZise raised the priority of this task from to Needs Triage.
XZise updated the task description. (Show Details)
XZise added a project: Pywikibot.
XZise added a subscriber: XZise.
jayvdb added a subscriber: jayvdb.

looks like we wont have similar problems

wikidata points at itself:
https://www.wikidata.org/w/api.php?action=query&meta=wikibase

test.wikipedia points at test.wikidata:
https://test.wikipedia.org/w/api.php?action=query&meta=wikibase

Here is an older install in the wild, which is a wikibase client and wikibase repo, and it has a usable response: http://www.eagle-network.eu/wiki/api.php?action=query&meta=wikibase&format=jsonfm

awight added a subscriber: awight.Apr 23 2015, 9:30 AM
jayvdb added a comment.EditedAug 15 2015, 11:11 AM

It would be very useful to have this functionality for the beta cluster, as currently wikibase related tests are not run on the beta cluster because its data repository (http://wikidata.beta.wmflabs.org/) isnt configured.

http://en.wikipedia.beta.wmflabs.org/w/api.php?action=query&meta=wikibase looks good.

jayvdb triaged this task as High priority.Aug 28 2015, 2:52 AM
jayvdb added a subscriber: Addshore.

Addressing this is a high priority, as @Addshore has announced breaking changes which I assume will land on beta cluster first, so we should have tests in place to ensure everything works correctly.

XZise claimed this task.Oct 20 2015, 12:35 PM

Change 247555 had a related patch set uploaded (by XZise):
[FEAT] site: Dynamically determine Wikibase repo

https://gerrit.wikimedia.org/r/247555

Change 247555 merged by jenkins-bot:
[FEAT] site: Dynamically determine Wikibase repo

https://gerrit.wikimedia.org/r/247555

D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:37 AM
Xqt raised the priority of this task from High to Needs Triage.Feb 3 2019, 11:36 AM
Xqt moved this task from Needs Review to Backlog on the Pywikibot board.
Xqt triaged this task as High priority.Feb 4 2019, 11:35 AM
Addshore removed a subscriber: Addshore.Feb 4 2019, 11:37 AM